[Overview][Types][Procedures and functions][Variables][Index] | Reference for unit 'LCLIntf' (#lcl)

# ScrollWindow

Scrolls the content of a window, by a number of pixels.

## Declaration

Source position: winapih.inc line 352

`function ScrollWindow(`
`hWnd: HWND;`
`XAmount: Integer;`
`YAmount: Integer;`
`Rect: PRect;`
`ClipRect: PRect`
`):Boolean;`

## Arguments

`XAmount` |  | Horizontal distance (positive to scroll right).
`YAmount` |  | Vertical distance (positive to scroll down).
`Rect` |  | The part of the window, that is to be scrolled.
`ClipRect` |  | Pixels falling outside this rectangle are lost.

## See also

ScrollWindowEx |  |